> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyzr.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Lyzr Agent Published Session Retrieval

> Retrieves a list of published session IDs that have been created for the specified agent ID.



## OpenAPI

````yaml get /agent/{agent_id}/published/sessions
openapi: 3.0.3
info:
  title: Lyzr Agent Published Session Retrieval
  version: 1.0.0
  description: >-
    API endpoint to retrieve published session IDs associated with a specific
    agent.
servers:
  - url: https://agent-dev.test.studio.lyzr.ai/v1
security: []
paths:
  /agent/{agent_id}/published/sessions:
    get:
      summary: Get Published Sessions Endpoint By Agent Endpoint
      description: >-
        Retrieves a list of published session IDs that have been created for the
        specified agent ID.
      operationId: getPublishedSessionsByAgent
      parameters:
        - name: agent_id
          in: path
          required: true
          description: The unique identifier of the agent.
          schema:
            type: string
            example: '12343435678'
      responses:
        '200':
          description: Published session IDs successfully retrieved.
          content:
            application/json:
              schema:
                type: object
                properties:
                  published_sessions:
                    type: array
                    description: A list of published session identifiers (IDs).
                    items:
                      type: string
                    example:
                      - pub_session_id_1
                      - pub_session_id_2
        '422':
          description: Validation Error (e.g., incorrect path parameter format).
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: array
                    items:
                      type: object
                      properties:
                        loc:
                          type: array
                          items:
                            oneOf:
                              - type: string
                              - type: integer
                        msg:
                          type: string
                        type:
                          type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````